Subject: [RFC v2 3/6] irq: bypass: Extend skeleton for ARM forwarding control

From: [email-masked] (Eric Auger)
Date: Tue, 07 Jul 2015 09:10:36 +0200

On 07/06/2015 07:41 PM, Paolo Bonzini wrote:
> 
> 
> On 06/07/2015 19:09, Eric Auger wrote:
>>>> The good thing is that this helps a bit forming a lock hierarchy across
>>>> the subsystems, for example irq bypass mutex outside vfio_platform_irq
>>>> spinlock, because you cannot have a spinlock inside the mutex.  I think
>>>> that all of your six callbacks are fine.
>> arghh, no that's wrong then. I have plenty of them in the KVM/arm vgic
>> part :-(
> 
> I checked and it's right...
> 
> /me rereads
> 
> AAAARGH.  You cannot have a mutex inside a spinlock.  What you're doing
> is fine.
Sweated up (+ heat wave in France). Was about to read again the
"concurrency and race conditions" chapter of the linux driver bible.
Might be worth anyway ;-)

Many thanks for the review

Eric
> Paolo